% Making Merged AAL2 atlas
clearvars; clc;

WMdir = '/media/sf_Common/PMRI/SG21/NIFTI/WM_labels/';
TempWMname = [WMdir 'WMlabels_1.nii'];
V = spm_vol(TempWMname);
Template = zeros(V.dim);
for i = 1:50
%for i = 1:1
    WMname = [WMdir 'WMlabels_' num2str(i) '.nii'];
    V = spm_vol(WMname);
    [Y, XYZ] = spm_read_vols(V);
    Yindex = find(Y == i);
    Template(Yindex) = i;
end
TempV = V;
TempV.fname = [WMdir(1:end-10) 'WMlabels_Indi.nii'];
V = spm_write_vol(TempV,Template);

